package com.bgy.sms.channel.dto;

import com.alibaba.fastjson.JSONObject;
import com.bgy.sms.config.ResponseCode;

import java.io.Serializable;

public class DmHubResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    private String code;

    private JSONObject error;

    public DmHubResponse() {
    }

    public DmHubResponse(String code, String msg) {
        error = new JSONObject();
        error.put("errorCode", code);
        error.put("message", msg);
    }

    public DmHubResponse(ResponseCode responseCode) {
        this.code = responseCode.getCode();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public JSONObject getError() {
        return error;
    }

    public void setError(JSONObject error) {
        this.error = error;
    }
}
